bk://linux-dj.bkbits.net/cpufreq

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/05/19 13:26:42-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-cpufreq
# 
# drivers/serial/sh-sci.c
#   2004/05/19 13:26:39-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# drivers/pcmcia/soc_common.c
#   2004/05/19 13:26:39-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# arch/x86_64/kernel/time.c
#   2004/05/19 13:26:39-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# BitKeeper/deleted/.del-sh-sci.c~bc16578fc6688d3
#   2004/05/19 13:26:39-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/05/16 01:34:52-07:00 akpm@bix.(none) 
#   Merge bk://linux-dj.bkbits.net/cpufreq
#   into bix.(none):/usr/src/bk-cpufreq
# 
# arch/i386/kernel/cpu/cpufreq/p4-clockmod.c
#   2004/05/16 01:34:49-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/05/16 01:32:08-07:00 akpm@bix.(none) 
#   resolve stuff
# 
# drivers/pcmcia/soc_common.c
#   2004/05/16 01:32:03-07:00 akpm@bix.(none) +36 -0
#   resolve stuff
# 
# BitKeeper/deleted/.del-sh-sci.c~bc16578fc6688d3
#   2004/05/16 01:26:51-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# drivers/pcmcia/soc_common.c
#   2004/05/16 01:26:51-07:00 akpm@bix.(none) +0 -0
#   Merge rename: drivers/pcmcia/sa11xx_core.c -> drivers/pcmcia/soc_common.c
# 
# BitKeeper/deleted/.del-sh-sci.c~bc16578fc6688d3
#   2004/05/16 01:26:51-07:00 akpm@bix.(none) +0 -0
#   Merge rename: drivers/char/sh-sci.c -> BitKeeper/deleted/.del-sh-sci.c~bc16578fc6688d3
# 
# ChangeSet
#   2004/05/14 21:21:34-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-cpufreq
# 
# drivers/serial/sh-sci.c
#   2004/05/14 21:21:31-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/05/11 16:39:15-07:00 akpm@bix.(none) 
#   Merge bk://linux-dj.bkbits.net/cpufreq
#   into bix.(none):/usr/src/bk-cpufreq
# 
# arch/i386/kernel/cpu/cpufreq/p4-clockmod.c
#   2004/05/11 16:39:12-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/05/11 16:38:21-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-cpufreq
# 
# arch/x86_64/kernel/time.c
#   2004/05/11 16:38:18-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# arch/i386/kernel/cpu/cpufreq/p4-clockmod.c
#   2004/05/11 16:38:18-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/04/13 10:02:09-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-cpufreq
# 
# arch/i386/kernel/cpu/cpufreq/Kconfig
#   2004/04/13 10:02:06-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/04/12 20:52:00-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-cpufreq
# 
# arch/i386/kernel/cpu/cpufreq/Kconfig
#   2004/04/12 20:51:56-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
diff -Nru a/drivers/pcmcia/soc_common.c b/drivers/pcmcia/soc_common.c
--- a/drivers/pcmcia/soc_common.c	Fri May 21 18:51:25 2004
+++ b/drivers/pcmcia/soc_common.c	Fri May 21 18:51:25 2004
@@ -772,3 +772,39 @@
 
 	return 0;
 }
+	}
+
+	return 0;
+}
+
+static struct notifier_block sa1100_pcmcia_notifier_block = {
+	.notifier_call	= sa1100_pcmcia_notifier
+};
+
+static int __init sa11xx_pcmcia_init(void)
+{
+	int ret;
+
+	printk(KERN_INFO "SA11xx PCMCIA\n");
+
+	ret = cpufreq_register_notifier(&sa1100_pcmcia_notifier_block,
+					CPUFREQ_TRANSITION_NOTIFIER);
+	if (ret < 0)
+		printk(KERN_ERR "Unable to register CPU frequency change "
+			"notifier (%d)\n", ret);
+
+	return ret;
+}
+module_init(sa11xx_pcmcia_init);
+
+static void __exit sa11xx_pcmcia_exit(void)
+{
+	cpufreq_unregister_notifier(&sa1100_pcmcia_notifier_block, CPUFREQ_TRANSITION_NOTIFIER);
+}
+
+module_exit(sa11xx_pcmcia_exit);
+#endif
+
+MODULE_AUTHOR("John Dorsey <john+@cs.cmu.edu>");
+MODULE_DESCRIPTION("Linux PCMCIA Card Services: SA-11xx core socket driver");
+MODULE_LICENSE("Dual MPL/GPL");
